<?php

use Elgg\DefaultPluginBootstrap;

class BulkUserAdminBootstrap extends DefaultPluginBootstrap {

	public function init() {
		// Add admin menu itemS
		elgg_register_menu_item('page', [
			'name' => 'admin:users:email_domain_stats',
			'href' => 'admin/users/email_domain_stats',
			'text' => elgg_echo('admin:users:email_domain_stats'),
			'context' => 'admin',
			'parent_name' => 'users',
			'section' => 'administer',
		]);
		elgg_register_menu_item('page', [
			'name' => 'admin:users:bulk_user_admin',
			'href' => 'admin/users/bulk_user_admin',
			'text' => elgg_echo('admin:users:bulk_user_admin'),
			'context' => 'admin',
			'parent_name' => 'users',
			'section' => 'administer',
		]);

		elgg_register_plugin_hook_handler('cron', 'minute', 'bulk_user_admin_cron');
	}

}
